;; -*- mode: emacs-lisp -*-
;; This file is loaded by Spacemacs at startup.
;; It must be stored in your home directory.

;; Set UTF-8 by default
(set-language-environment "UTF-8")
(set-default-coding-systems 'utf-8)

(load-file "~/.spacemacs.d/ligatures.el")
(load-file "~/.spacemacs.d/spacemacs-layers.el")
(load-file "~/.spacemacs.d/spacemacs-init.el")
(load-file "~/.spacemacs.d/spacemacs-user-init.el")
(load-file "~/.spacemacs.d/spacemacs-user-config.el")

(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(ecb-auto-activate t)
 '(ecb-auto-expand-tag-tree (quote all))
 '(ecb-auto-update-methods-after-save t)
 '(ecb-major-modes-show-or-hide (quote ((typescript php web mardown))))
 '(ecb-methods-nodes-collapse-spec nil)
 '(ecb-non-semantic-methods-initial-expand nil)
 '(ecb-options-version "2.50")
 '(ecb-show-only-positioned-tags t)
 '(ecb-tag-visit-post-actions
   (quote
    ((default ecb-tag-visit-smart-tag-start ecb-tag-visit-highlight-tag-header ecb-tag-visit-recenter ecb-tag-visit-smart-tag-start)
     (php-mode ecb-tag-visit-goto-doc-start))))
 '(ecb-tip-of-the-day nil)
 '(ecb-tree-navigation-by-arrow nil))

